<template>
  <div v-bind="$attrs">
    <img v-show="loaded" :alt="alt" :src="src" @load="loaded = true">
    <Skeleton v-if="!loaded" class="p-mt-2" height="100%" width="100%"/>
  </div>
</template>

<script>
import { defineAsyncComponent } from 'vue';

export default {
  name: 'ImagePreloaded',
  components: {
    Skeleton: defineAsyncComponent(() => import(/* webpackChunkName: "primevue/skeleton" */ 'primevue/skeleton')),
  },
  props: {
    src: {
      type: String,
      required: true,
    },
    alt: {
      type: String,
      required: false,
      default: '',
    },
  },
  data() {
    return {
      loaded: false,
    };
  },
};
</script>

<style lang="scss" scoped>
img {
  height: 100%;
  width:  100%;
}
</style>
